Bug 1120173 - Review Request: perl-Devel-ArgNames - Figure out the names of variables passed into subroutines
Summary: Review Request: perl-Devel-ArgNames - Figure out the names of variables passe...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1119953
TreeView+ depends on / blocked
 
Reported: 2014-07-16 10:54 UTC by Petr Pisar
Modified: 2014-07-17 12:58 UTC (History)
2 users (show)

Fixed In Version: perl-Devel-ArgNames-0.03-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 12:58:58 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2014-07-16 10:54:54 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Devel-ArgNames/perl-Devel-ArgNames.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Devel-ArgNames/perl-Devel-ArgNames-0.03-1.fc22.src.rpm
Description:
This Perl module provides a function which returns the names associated
with the variables found on @_.

Fedora Account System Username: ppisar

Comment 1 Christopher Meng 2014-07-17 05:49:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
Devel-ArgNames-0.03/lib/Devel/ArgNames.pm

[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Devel(perl-Module-Pluggable, perl-Devel-
     StackTrace-AsHTML, perl-Devel-PartialDump, perl-Devel-CheckOS, perl-
     Devel-StackTrace, perl-Devel-Symdump, perl-Devel-Dumpvar, perl-Devel-
     GlobalDestruction, perl-Data-Dumper-Concise, perl-Devel-Refactor, perl-
     Devel-REPL, perl-GraphViz)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: perl-Devel-ArgNames-0.03-1.fc22.noarch.rpm
          perl-Devel-ArgNames-0.03-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Devel-ArgNames
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Devel-ArgNames (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Exporter)
    perl(PadWalker)
    perl(base)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Devel-ArgNames:
    perl(Devel::ArgNames)
    perl-Devel-ArgNames



Source checksums
----------------
http://www.cpan.org/authors/id/N/NU/NUFFIN/Devel-ArgNames-0.03.tar.gz :
  CHECKSUM(SHA256) this package     : 59cc9e6b77af9b4b1a24bbe858d700d0909282b26dfb7f7963adb8bca3edce98
  CHECKSUM(SHA256) upstream package : 59cc9e6b77af9b4b1a24bbe858d700d0909282b26dfb7f7963adb8bca3edce98


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -rvn perl-Devel-ArgNames-0.03-1.fc22.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

---------------------------------------------
Since this package only targets f21+, I think it's time to pass NO_PACKLIST=1 to the makefile.pl and drop the find delete command.

PACKAGE APPROVED.

Comment 2 Petr Pisar 2014-07-17 06:46:11 UTC
New Package SCM Request
=======================
Package Name: perl-Devel-ArgNames
Short Description: Figure out the names of variables passed into subroutines
Upstream URL: http://search.cpan.org/dist/Devel-ArgNames/
Owners: ppisar jplesnik psabata
Branches: f21
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2014-07-17 12:08:01 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2014-07-17 12:58:58 UTC
Fixed as perl-Devel-ArgNames-0.03-1.fc21 in F21.


Note You need to log in before you can comment on or make changes to this bug.